/* space.c 1.12 8/12/92 14:21:04 */

/* Stargate ACL family device driver - configurable data file. */

/* Copyright Star Gate Technologies 1992 */

#if defined(M_XENIX) || defined(AIX)
#include "aclosdep.h"		/* System includes (os dependent) */
#include "aclioctl.h"		/* Shared with applications */
#include "acl.h"		/* Private stuff */
#include "aclspc.h"		/* Initial Values */
#else
#include "sys/aclosdep.h"	/* System includes (os dependent) */
#include "sys/aclioctl.h"	/* Shared with applications */
#include "sys/acl.h"		/* Private stuff */
#include "sys/aclspc.h"		/* Initial Values */
#endif

static char id[] = "@(#) space.c 1.12 8/12/92 14:21:04";

#ifdef MAXSPACE			/* For systems who distribute space.o */
#undef NBOARDS
#define NBOARDS MAXBOARDS*2
#endif

char *acl_copy  = ACL_COPY;	/* Copyright message */

int acl_bus	= ACL_BUS;	/* Bus type (AT vs. MC) */
int acl_mode	= ACL_MODE;	/* Polled vs Interrupt Driven */
int acl_nboards = NBOARDS;	/* Number of boards configured */

/*
 * Board index table (maps logical board # to bd_data index)
 *  (Specifically, compress dce's and dte's devs onto the same board (for 2, 2S)
 *   and change board # from appls (like load) into bd_data index)...
 *  (Used to accomodate acl16 boards).
 */
int acl_bd_index [] = {
	BD_0A_INDEX, BD_0B_INDEX,
	BD_1A_INDEX, BD_1B_INDEX,
	BD_2A_INDEX, BD_2B_INDEX,
	BD_3A_INDEX, BD_3B_INDEX
};

/*
 * Board data ...
 */
struct board_info acl_bd_data [NBOARDS] = {
#if NBOARDS > 0
 { BD_0_NAME, 0, 0, BD_0_DPA, BD_0_DPS, BD_0_IOA, BD_0_IRQ,
   BD_0_TYPE, BD_0_ATTR, BD_0_NWAITS, 0, 0, 0, 0, 0},
#endif
#if NBOARDS > 1
 { BD_1_NAME, 0, 0, BD_1_DPA, BD_1_DPS, BD_1_IOA, BD_1_IRQ,
   BD_1_TYPE, BD_1_ATTR, BD_1_NWAITS, 0, 0, 0, 0, 0},
#endif
#if NBOARDS > 2
 { BD_2_NAME, 0, 0, BD_2_DPA, BD_2_DPS, BD_2_IOA, BD_2_IRQ,
   BD_2_TYPE, BD_2_ATTR, BD_2_NWAITS, 0, 0, 0, 0, 0},
#endif
#if NBOARDS > 3
 { BD_3_NAME, 0, 0, BD_3_DPA, BD_3_DPS, BD_3_IOA, BD_3_IRQ,
   BD_3_TYPE, BD_3_ATTR, BD_3_NWAITS, 0, 0, 0, 0, 0},
#endif
#if NBOARDS > 4
 { BD_4_NAME, 0, 0, BD_4_DPA, BD_4_DPS, BD_4_IOA, BD_4_IRQ,
   BD_4_TYPE, BD_4_ATTR, BD_4_NWAITS, 0, 0, 0, 0, 0},
#endif
#if NBOARDS > 5
 { BD_5_NAME, 0, 0, BD_5_DPA, BD_5_DPS, BD_5_IOA, BD_5_IRQ,
   BD_5_TYPE, BD_5_ATTR, BD_5_NWAITS, 0, 0, 0, 0, 0},
#endif
#if NBOARDS > 6
 { BD_6_NAME, 0, 0, BD_6_DPA, BD_6_DPS, BD_6_IOA, BD_6_IRQ,
   BD_6_TYPE, BD_6_ATTR, BD_6_NWAITS, 0, 0, 0, 0, 0},
#endif
#if NBOARDS > 7
 { BD_7_NAME, 0, 0, BD_7_DPA, BD_7_DPS, BD_7_IOA, BD_7_IRQ,
   BD_7_TYPE, BD_7_ATTR, BD_7_NWAITS, 0, 0, 0, 0, 0}
#endif
};

/*
 * Port and tty data ...
 */
struct port_info acl_p_data [NBOARDS * 8];	/* one per port */
#ifdef NOTTPS
struct tty acl_tty [1+(NBOARDS * 8)];		/* one per port plus 1 dummy */
#else
struct tty acl_tty [2 * NBOARDS * 8];		/* two per port (normal) */
#endif

/*
 * Transparent printer data...
 */
int aclttp_count; 	/* count of open ttp devices */
int aclttp_tx_count; 	/* count of poll ticks for "time to tx?" */

/*
 * Board control data...
 */
int acl_dnld_board;		/* currently downloading board */
int acl_on_board;		/* currently enabled board */

/*
 * Trace function data...
 */
int acl_trc_class = 0;		/* trace class (1 bit/class)	*/
int acl_trc_proc  = 0;		/* trace proc  (1 bit/proc)	*/
