/* @(#) aclosdep.h 1.9 2/27/92 14:03:59 */

/* Copyright Star Gate Technologies 1989-1990 */

/*
 *   System includes and additions for SCO System V Rel 3.2
 */

/* Force VPIX so space.c structure size matches driver.o interpretation */
#ifndef VPIX
#define VPIX	1
#endif

#include <sys/types.h>
#include <sys/param.h>
#include <sys/errno.h>
#include <sys/dir.h>
#include <sys/immu.h>
#include <sys/region.h>
#include <sys/user.h>
#include <sys/file.h>
#include <sys/tty.h>
#include <sys/conf.h>
#include <sys/proc.h>
#include <sys/termio.h>
#include <sys/sysmacros.h>

#ifdef VPIX
/* includes ... */
#include <sys/tss.h>
#include <sys/v86.h>
/* constants ... (cant use sio.h because of bad pragma) */
#define AIOC		('A' << 8)
#define AIOCINTTYPE	(AIOC|60)
#define AIOCDOSMODE	(AIOC|61)
#define AIOCNONDOSMODE	(AIOC|62)
#define AIOCSERIALOUT	(AIOC|63)
#define AIOCSERIALIN	(AIOC|64)
#define AIOCSETSS	(AIOC|65)
#define AIOCINFO	(AIOC|66)
#endif

#ifdef DRVRBUILD		/* only include at driver build time */
#include <sys/scankbd.h>	/* include after AIOC stuff */
#endif
#include "aclspc.h"	/* My own parameter values */

#define ON_BOARD	acl_enable

#define MAP_MEMORY(bp) (struct global_control_block *) (sptalloc (	\
				btoc(bp->b_dpsize<<10),			\
				PG_P,					\
				btoc(bp->b_dpaddr),			\
				NOSLEEP));

#define L_OPEN(dev, tp) (*linesw[tp->t_line].l_open) (tp); 

#define TO_INT(arg)	((int)(arg))
#define TO_ADDR(arg)	((arg))


/*****************************************************************************/
/*
/*	CONVERSION MACROS
/*
/*****************************************************************************/

/*
 * Convert O/S minor number (dev) into driver format (port/t_dev)...
 */
#define MAPDEV(dev)	(((dev) & 0307) \
				| ((acl_bd_index[((dev)>>3) & 07] & 07) << 3))

/*
 * Attributes described by O/S minor number (dev)...
 */
#define ISDCE(dev)	((dev) & 0010)

#ifdef ISMODEM
#undef ISMODEM
#endif
#define ISMODEM(dev)	((dev) & 0x80)
#define ISDRIVER(dev)  (((dev) & 0xff) == 0xff)

/*
 * Components of driver format minor number (port/MAPDEV(dev))...
 */
#define PORTNO(port)	 ((port) & 0007)
#define BOARDNO(port)	(((port) & 0070) >> 3)
#define PORT(port)	 ((port) & 0077)
#define ISTTP(port)	 ((port) & 0100)

/*
 * Conversion of driver format minor number (port/MAPDEV(dev)) to tty index...
 */
#define TTY(port)	((((port) & 077) << 1) | (( (port) & 0100) >> 6))
#define OTHERTTY(port)	((((port) & 077) << 1) | ((~(port) & 0100) >> 6))

/*
 * Conversion of tty index to bd_data and p_data indexes...
 */
#define TNOtoBD(ttyno)	(((ttyno) >> 4) & 007)
#define TNOtoP(ttyno)	(((ttyno) >> 1) & 077)

/*
 * Attributes described by ttyno...
 */
#define TNOisTTP(ttyno)	((ttyno)&1)
